#                                 -*- fundamental -*-
# PKCS15 r/w profile for TCOS 2.0 cards
#
CardInfo
	Label		"OpenSC Card (TCOS)"
	Manufacturer	"OpenSC Project"
	MinPinLength	6
	MaxPinLength	16
	PinEncoding	utf8
	PinPadChar	none
	PrKeyAccessFlags RSA 0x1D


EF PKCS15-DIR
	Path		3F002F00
	Size		256
	Structure	0x05
        # max. record length
        RecordLength    48
        SecAttr 0x60 0 0 0 255 255  0xB2 0 0 0 255 255  0xDC 0 0 0 255 255  0xE4 0 0 0 255 255 


EF PKCS15-TokenInfo
	Parent		PKCS15-AppDF
	FileID		5032
        size            256
	ACL		*=NONE

EF PKCS15-ODF
	Parent		PKCS15-AppDF
	FileID		5031
	Size		256
	ACL		*=NONE

EF PKCS15-AODF
	Parent		PKCS15-AppDF
	FileID		4401
	Size		256
	ACL		*=NEVER READ=NONE UPDATE=CHV2

EF PKCS15-PrKDF
	Parent		PKCS15-AppDF
	FileID		4402
	Size		256
	ACL		*=NEVER READ=NONE UPDATE=CHV2

EF PKCS15-PuKDF
	Parent		PKCS15-AppDF
	FileID		4403
	Size		256
	ACL		*=NEVER READ=NONE UPDATE=CHV2


# We allow for 16 bytes password but need to add 2 bytes for tag and length.
EF pinfile-chv1
	Parent		PKCS15-AppDF
	FileID		0001
	Structure	0x05
        RecordLength    18
	Size		18
        # password id local 0, 10 initial tries, reset to 8 tries
        # FIXME: We should move the tries to the PIN section
        PropAttr        0x05 0x80 0 10 8
        # verify: always, change: glo-0 or loc-0 (self), unblock: glo-0,
        # set_permanent: always. delete: always
        SecAttr         0x20 0 0 0 255 255  0x25 0x11 0 0 255 255  0x2c 0x10 0 0 255 255  0xEE 0 0 0 255 255 0xE4 0 0 0 255 255


EF pinfile-chv2
	Parent		PKCS15-AppDF
	FileID		0011
	Structure	0x05
        RecordLength    18
	Size		18
        # password id 1, 10 initial tries, reset to 8 tries
        PropAttr        0x05 0x80 1 10 8
        # verify: always, change: glo-0 or loc-1 (self), unblock: glo-0,
        # set_permanent: always. delete: always.
        SecAttr         0x20 0 0 0 255 255  0x25 0x12 0 0 255 255  0x2c 0x10 0 0 255 255  0xEE 0 0 0 255 255 0xE4 0 0 0 255 255

EF template-private-key-1
 	Parent		PKCS15-AppDF
 	FileID		5001	
	Structure	linear-fixed-tlv
        # 64 byte records for a 1024 bit key + unused bits byte + length + tag
        # We need 6 records
	RecordLength    67
        size            402
        # not yet permanent, secret key for sign or encr, id 0, rsa secret
        # 2 reserved bytes
        PropAttr        0x05 0xcc 0x00 0x90 0x00 0x00
        # PSO:glo-0 or loc-0, setperm:always, delete:always
        SecAttr    0x2B 0x11 0 0 255 255 0xEE 0 0 0 255 255 0xE4 0 0 0 255 255

EF template-private-key-2
 	Parent		PKCS15-AppDF
 	FileID		5011	
	Structure	linear-fixed-tlv
	RecordLength    67
        size            402
        # not yet permanent, secret key for sign or encr, id 1, rsa secret
        # 2 reserved bytes
        PropAttr        0x05 0xcc 0x01 0x90 0x00 0x00
        # PSO:glo-0 or loc-1, setperm:always, delete:always
        SecAttr    0x2B 0x12 0 0 255 255 0xEE 0 0 0 255 255 0xe4 0 0 0 255 255

EF template-public-key-1
        Parent		PKCS15-AppDF
        FileID		5002
        Structure	linear-variable-tlv
        # 128 bytes + unused bits byte + length + tag, exp is much shorter
        RecordLength    131
        size            150
        # not yet permanent, data file
        PropAttr        0x05 0x00
        # read-rec:always, setperm:always, delete:always
        SecAttr     0xB2 0 0 0 255 255 0xEE 0 0 0 255 255 0xE4 0 0 0 255 255

EF template-public-key-2
        Parent		PKCS15-AppDF
        FileID		5012
        Structure	linear-variable-tlv
        # 128 bytes + unused bits byte + length + tag, exp is much shorter
        RecordLength    131
        size            150
        # not yet permanent, data file
        PropAttr        0x05 0x00
        # read-rec:always, setperm:always, delete:always
        SecAttr     0xB2 0 0 0 255 255 0xEE 0 0 0 255 255 0xE4 0 0 0 255 255
 

# EF template-public-key-1
#         Parent		PKCS15-AppDF
#         FileID		5002
#         size            150
#         # read-bin:always, update-bin:glo-0 or loc-0 delete:always
#         SecAttr     0xB0 0 0 0 255 255 0xD7 0x11 0 0 255 255 0xe4 0 0 0 255 255
# 
# EF template-public-key-2
#         Parent		PKCS15-AppDF
#         FileID		5012
#         size            150
#         # read-bin:always, update-bin:glo-0 or loc-0 delete:always
#         SecAttr     0xB0 0 0 0 255 255 0xD7 0x11 0 0 255 255 0xe4 0 0 0 255 255
# 

EF template-certificate-1 
	Parent		PKCS15-AppDF
	FileID		9001
	Structure	transparent
        size            1024
	ACL		*=NONE

EF template-certificate-2 
	Parent		PKCS15-AppDF
	FileID		9002
	Structure	transparent
        size            1024
	ACL		*=NONE

PIN CHV1 
	File		pinfile-chv1
        # local passwords are indicated by bit 7 set.
	Reference	128
        # attempts don't work yet.
        Attempts	7 3


PIN CHV2
        File		pinfile-chv2
        Reference	129
        Attempts	7 3










